Skip to main content
`Ctrl`+`K`

# pandas.tseries.frequencies.to_offset

pandas.tseries.frequencies.to_offset(freq, is_period=False)

  Return DateOffset object from string or datetime.timedelta object.

  Parameters:
    freq str, datetime.timedelta, BaseOffset or None
  Returns:
    BaseOffset subclass or None
  Raises:
    ValueError

      If freq is an invalid frequency

  See also

  `BaseOffset`

    Standard kind of date increment used for a date range.

  Examples

      >>> from pandas.tseries.frequencies import to_offset
      >>> to_offset("5min")
      <5 * Minutes>

      >>> to_offset("1D1h")
      <25 * Hours>

      >>> to_offset("2W")
      <2 * Weeks: weekday=6>

      >>> to_offset("2B")
      <2 * BusinessDays>

      >>> to_offset(pd.Timedelta(days=1))
      <Day>

      >>> to_offset(pd.offsets.Hour())
      <Hour>